# Get Wallets

{% hint style="info" %}
Must be authorized to call this API
{% endhint %}

## Get users wallet

<mark style="color:blue;">`GET`</mark> `https://example.com/wp-json/rimplenet/v1/wallets`

{% tabs %}
{% tab title="200: OK Wallets retrieved" %}

```php
{
    "status_code": 200,
    "status": true,
    "message": "Wallet Retrieved",
    "data": [
        {
            "post_id": 443,
            "wallet_id": "gbp",
            "wallet_name": "pounds",
            "wallet_symbol": "£",
            "wallet_max_wdr_amount": "999999999",
            "wallet_min_wdr_amount": "0",
            "wallet_symbol_position": "left",
            "wallet_decimal": "2",
            "wallet_note": "",
            "wallet_type": "fiat"
        },        
        {
            "post_id": 87,
            "wallet_id": "cad",
            "wallet_name": "Canadian Dollars",
            "wallet_symbol": "$",
            "wallet_max_wdr_amount": "999999999",
            "wallet_min_wdr_amount": "0",
            "wallet_symbol_position": "left",
            "wallet_decimal": "2",
            "wallet_note": "Canadian Dollar wallet",
            "wallet_type": "fiat"
        },
        {
            "post_id": 70,
            "wallet_id": "khs",
            "wallet_name": "Shellings",
            "wallet_symbol": "**",
            "wallet_max_wdr_amount": "999999999",
            "wallet_min_wdr_amount": "0",
            "wallet_symbol_position": "left",
            "wallet_decimal": "2",
            "wallet_note": "",
            "wallet_type": "fiat"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
To view request params, click on the arrow (>) at the right hand side of the endpoint url to expand or collapse
{% endhint %}

## Sample response

{% tabs %}
{% tab title="200 OK" %}

```php
{
    "status_code": 200,
    "status": true,
    "message": "Wallet Retrieved",
    "data": [
        {
            "post_id": 443,
            "wallet_id": "gbp",
            "wallet_name": "pounds",
            "wallet_symbol": "£",
            "wallet_max_wdr_amount": "999999999",
            "wallet_min_wdr_amount": "0",
            "wallet_symbol_position": "left",
            "wallet_decimal": "2",
            "wallet_note": "",
            "wallet_type": "fiat"
        },        
        {
            "post_id": 87,
            "wallet_id": "cad",
            "wallet_name": "Canadian Dollars",
            "wallet_symbol": "$",
            "wallet_max_wdr_amount": "999999999",
            "wallet_min_wdr_amount": "0",
            "wallet_symbol_position": "left",
            "wallet_decimal": "2",
            "wallet_note": "Canadian Dollar wallet",
            "wallet_type": "fiat"
        },
        {
            "post_id": 70,
            "wallet_id": "khs",
            "wallet_name": "Shellings",
            "wallet_symbol": "**",
            "wallet_max_wdr_amount": "999999999",
            "wallet_min_wdr_amount": "0",
            "wallet_symbol_position": "left",
            "wallet_decimal": "2",
            "wallet_note": "",
            "wallet_type": "fiat"
        }
    ]
}
```

{% endtab %}
{% endtabs %}
